## ros-humble-smacc2-msgs 2.3.18

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(smacc2_msgs)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(action_msgs REQUIRED)
find_package(std_msgs REQUIRED)

set(msg_files
  msg/SmaccSMCommand.msg
  msg/SmaccStatus.msg
  msg/SmaccContainerInitialStatusCmd.msg
  msg/SmaccContainerStructure.msg
  msg/SmaccContainerStatus.msg
  msg/SmaccState.msg
  msg/SmaccTransition.msg
  msg/SmaccEvent.msg
  msg/SmaccOrthogonal.msg
  msg/SmaccStateReactor.msg
  msg/SmaccEventGenerator.msg
  msg/SmaccStateMachine.msg
  msg/SmaccTransitionLogEntry.msg
)

set(srv_files
  srv/SmaccGetTransitionHistory.srv
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  ${srv_files}
  DEPENDENCIES builtin_interfaces action_msgs std_msgs ADD_LINTER_TESTS
)

ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-humble-smacc2-msgs (2.3.18-1jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Brett Aldrich <brett@robosoft.ai>  Mon, 17 Jul 2023 08:34:57 -0000

ros-humble-smacc2-msgs (2.3.16-1jammy) jammy; urgency=high

  * Merge branch 'humble' of https://github.com/robosoft-ai/SMACC2 into humble
  * Brettpac branch (#518 <https://github.com/robosoft-ai/SMACC2/issues/518>)
    * Attempt to fix weird issue with ros buildfarm
    * More on this buildfarm issue
    ---------
    Co-authored-by: brettpac <mailto:brettpac@pop-os.localdomain>
  * Contributors: brettpac, pabloinigoblasco

 -- Brett Aldrich <brett@robosoft.ai>  Sun, 16 Jul 2023 00:00:00 -0000

ros-humble-smacc2-msgs (2.3.6-1jammy) jammy; urgency=high



 -- Brett Aldrich <brett@robosoft.ai>  Sun, 12 Mar 2023 00:00:00 -0000

ros-humble-smacc2-msgs (1.22.1-1jammy) jammy; urgency=high

  * minor
  * pre-release
  * Contributors: pabloinigoblasco
  * minor
  * pre-release
  * Contributors: pabloinigoblasco

 -- Brett Aldrich <brett@robosoft.ai>  Wed, 09 Nov 2022 00:00:00 -0000

ros-humble-smacc2-msgs (0.4.0-1jammy) jammy; urgency=high

  * Backporting features from rolling
  * Contributors: Pablo Iñigo Blasco

 -- Brett Aldrich <brett@robosoft.ai>  Mon, 04 Apr 2022 00:00:00 -0000

ros-humble-smacc2-msgs (0.1.0-1jammy) jammy; urgency=high

  * Initial release of SMACC2 core
  * Contributors: Brett Aldrich, Pablo Inigo Blasco, Denis Štogl

 -- Brett Aldrich <brett@robosoft.ai>  Tue, 31 Aug 2021 00:00:00 -0000

ros-humble-smacc2-msgs (0.0.0-1jammy) jammy; urgency=high

  * Initial release of SMACC2 core
  * Contributors: Pablo Inigo Blasco

 -- Brett Aldrich <brett@robosoft.ai>  Mon, 30 Aug 2021 00:00:00 -0000

=== debian/control ===
Source: ros-humble-smacc2-msgs
Section: misc
Priority: optional
Maintainer: Brett Aldrich <brett@robosoft.ai>
Build-Depends: debhelper (>= 9.0.0), ros-humble-action-msgs, ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-builtin-interfaces, ros-humble-rosidl-default-generators, ros-humble-std-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-smacc2-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-action-msgs, ros-humble-builtin-interfaces, ros-humble-rosidl-default-runtime, ros-humble-std-msgs, ros-humble-ros-workspace
Description: Messages and services used in smacc2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-smacc2-msgs//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
